NX Open C++ Reference Guide
|
Represents a Features::SectionEdit builder
To create a new instance of this class, use Features::FeatureCollection::CreateSectionEditBuilder
Created in NX6.0.0.
More...
Public Member Functions | |
NXOpen::SelectBody * | Body () |
Returns the body which is cut by sectioning plane Created in NX6.0.0. | |
bool | IsNewPlane () |
Returns the flag which represents whether the plane is newly created or existing one Created in NX6.0.0. | |
NXOpen::ISurface * | Plane () |
Returns the sectioning plane for cutting section on a body Created in NX6.0.0. | |
void | SetNewPlane (bool isNewPlane) |
Sets the flag which represents whether the plane is newly created or existing one Created in NX6.0.0. | |
void | SetPlane (NXOpen::ISurface *plane) |
Sets the sectioning plane for cutting section on a body Created in NX6.0.0. | |
void | SetSketch (NXOpen::Sketch *sketch) |
Sets the sketch which holds the section curves Created in NX6.0.0. | |
NXOpen::Sketch * | Sketch () |
Returns the sketch which holds the section curves Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::SectionEdit builder
To create a new instance of this class, use Features::FeatureCollection::CreateSectionEditBuilder
Created in NX6.0.0.
NXOpen::SelectBody* NXOpen::Features::SectionEditBuilder::Body | ( | ) |
Returns the body which is cut by sectioning plane
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SectionEditBuilder::IsNewPlane | ( | ) |
Returns the flag which represents whether the plane is newly created or existing one
Created in NX6.0.0.
License requirements : None
NXOpen::ISurface* NXOpen::Features::SectionEditBuilder::Plane | ( | ) |
Returns the sectioning plane for cutting section on a body
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::SectionEditBuilder::SetNewPlane | ( | bool | isNewPlane | ) |
Sets the flag which represents whether the plane is newly created or existing one
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isNewPlane | is new plane |
void NXOpen::Features::SectionEditBuilder::SetPlane | ( | NXOpen::ISurface * | plane | ) |
Sets the sectioning plane for cutting section on a body
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
plane | plane |
void NXOpen::Features::SectionEditBuilder::SetSketch | ( | NXOpen::Sketch * | sketch | ) |
Sets the sketch which holds the section curves
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sketch | sketch |
NXOpen::Sketch* NXOpen::Features::SectionEditBuilder::Sketch | ( | ) |
Returns the sketch which holds the section curves
Created in NX6.0.0.
License requirements : None